[REGRESSION]Fileop: Specific xpi using fileExecute() errors -207

VERIFIED WORKSFORME

Status

Core Graveyard
Installer: XPInstall Engine
P3
major
VERIFIED WORKSFORME
19 years ago
3 years ago

People

(Reporter: Jimmy Lee, Assigned: Cathleen)

Tracking

Trunk
x86
Windows NT

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

19 years ago
Build: 1999-11-29-09-M12(WIN)

1. From http://jimbob/trigger2.html, click drop-down button and select
   a_fileop_fileexecute_parameter_win
2. Click Trigger case button

////////////////////////////////////////////////////////////////////////////////
// a_fileop_fileexecute_parameter_win.js
//
// Acceptance test
// 	• Checks the ability of executing a known file with a parameter
//
// ~ XPInstall QA
//   November 29, 1999
////////////////////////////////////////////////////////////////////////////////

jarSrc = "notepad.exe";

startInstall("Acceptance: a_fileop_fileexecute_parameter_win", "acceptance",
"1.1.1.1", 0);
f = getFolder("Program");
addFile("fileop_fileexecute_parameter_win", "2.2.2.2", jarSrc, f, jarSrc, true);
fileSource = getFolder(f, "notepad.exe");
err1 = fileExecute(fileSource, "parameter_win.txt");
logComment("Path to executable file = " + fileSource);
logComment("fileExecute returns = " + err1);

if (0 == getLastError())
	finalizeInstall();
else
	abortInstall();

RESULT:
Installation fails.  The Install.log returns:

---------------------------------------------------------------------------
http://jimbob/jars/a_fileop_fileexecute_parameter_win.xpi -- 11/30/1999 12:20:26
---------------------------------------------------------------------------


     Install **FAILED** with error -207
     Finished Installation  11/30/1999 12:20:26

Using a build from 11/17/99, this same xpi does install.  This build's
Install.log shows the following:

---------------------------------------------------------------------------
http://jimbob/jars/a_fileop_fileexecute_parameter_win.xpi -- 11/30/1999 12:29:04
---------------------------------------------------------------------------

     Acceptance: a_fileop_fileexecute_parameter_win
     ----------------------------------------------

     ** Path to executable file = C:\Program Files\moz1117\bin\notepad.exe\
     ** fileExecute returns = 0
     Item [1/2]	Replacing: C:\Program Files\moz1117\bin\notepad.exe
     Item [2/2]	Execute File: C:\Program Files\moz1117\bin\notepad.exe\
parameter_win.txt

     Install completed successfully
     Finished Installation  11/30/1999 12:29:06

Technically, the installation for build 11/17/99 also fails because there
happens to be a space between C:\Program Files\moz1117\bin\notepad.exe\
and parameter_win.txt from Item [2/2].  But the main point here is that this
particular xpi file appears unreadable to build 11/29/99 when there appears to
be no problem with the archive.

EXPECTED RESULT:
The installation is successful.  Error -207 (Can't read archive) is not
reported.
Summary: Fileop: Specific xpi using fileExecute() errors -207, but is ok with older build → [REGRESSION]Fileop: Specific xpi using fileExecute() errors -207
Status: NEW → RESOLVED
Last Resolved: 19 years ago
Resolution: --- → WORKSFORME
Works in 11/30 build. Did you file a bug yet for the "space in file path"
problem? Please assign to me as I have a fix for it, cc dougt so we make sure
the fix makes it into the new nsIFile.
(Reporter)

Comment 2

19 years ago
The space in file path is not a problem.  Well, it appears to no longer be a
problem.  I will investigate further.  Stay tuned.
(Reporter)

Updated

19 years ago
Status: RESOLVED → VERIFIED
(Reporter)

Comment 3

19 years ago
Build 1999-12-03-14-M12

No more errors.

Comment 4

19 years ago
Bulk move of XPInstall (component to be deleted) bugs to Installer: XPInstall
Engine
Product: Core → Core Graveyard
You need to log in before you can comment on or make changes to this bug.